Comment On A Community Group Post
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts/{postId}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"body": "Thank you for sharing this. I will be there."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('Thank you for sharing this. I will be there.')})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts/{postId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts/{postId}/comments"
payload = { "body": "Thank you for sharing this. I will be there." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"comment": {
"id": 914,
"client_id": 12,
"community_group_post_id": 615,
"author_member_id": 308,
"body": "Thank you for sharing this. I will be there.",
"created_at": "2026-07-18T10:15:00.000000Z",
"updated_at": "2026-07-18T10:15:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
}
}
}
}Community Groups
Comment On A Community Group Post
Adds a comment to a post visible to an active member of the group.
POST
/
v1
/
community-groups
/
{groupId}
/
feed
/
posts
/
{postId}
/
comments
Comment On A Community Group Post
curl --request POST \
--url https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts/{postId}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"body": "Thank you for sharing this. I will be there."
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({body: JSON.stringify('Thank you for sharing this. I will be there.')})
};
fetch('https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts/{postId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/community-groups/{groupId}/feed/posts/{postId}/comments"
payload = { "body": "Thank you for sharing this. I will be there." }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"status": "Success",
"data": {
"comment": {
"id": 914,
"client_id": 12,
"community_group_post_id": 615,
"author_member_id": 308,
"body": "Thank you for sharing this. I will be there.",
"created_at": "2026-07-18T10:15:00.000000Z",
"updated_at": "2026-07-18T10:15:00.000000Z",
"author": {
"id": 308,
"name": "Jordan A."
}
}
}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Community group identifier.
Required range:
x >= 1Community group post identifier.
Required range:
x >= 1Body
application/json
Maximum string length:
5000Response
Comment created.
The response is of type object.
Was this page helpful?